org.w3c.dom.ranges

## Interface DocumentRange

    public interface DocumentRange

See also the Document Object Model (DOM) Level 2 Traversal and Range Specification.

Since:
  DOM Level 2

### Method Summary

All Methods Instance Methods Abstract Methods
`Range` `createRange()` This interface can be obtained from the object implementing the `Document` interface using binding-specific casting methods.

### Method Detail

#### createRange

    Range createRange()

This interface can be obtained from the object implementing the `Document` interface using binding-specific casting methods.

Returns:
  The initial state of the Range returned from this method is such that both of its boundary-points are positioned at the beginning of the corresponding Document, before any content. The Range returned can only be used to select content associated with this Document, or with DocumentFragments and Attrs for which this Document is the `ownerDocument`.

org.w3c.dom.events, org.w3c.dom.ranges and org.w3c.dom.traversal packages Copyright © 2000 W3C® (MIT, INRIA, Keio), All Rights Reserved. W3C liability, trademark, document use and software licensing rules apply. This document has been reviewed by W3C Members and other interested parties and has been endorsed by the Director as a W3C Recommendation